# Uses of Class
org.eclipse.mat.snapshot.OQLParseException

Packages that use OQLParseException
Package
Description
org.eclipse.mat.parser.internal.oql
Object Query Language (OQL) (not API).
org.eclipse.mat.snapshot
The Snapshot API, a VM independent way of looking at a snapshot of the state of objects in a heap.

## Uses of OQLParseException in org.eclipse.mat.parser.internal.oql

Constructors in org.eclipse.mat.parser.internal.oql that throw OQLParseException
Modifier
Constructor
Description
``
`OQLQueryImpl(String queryString)`

## Uses of OQLParseException in org.eclipse.mat.snapshot

Methods in org.eclipse.mat.snapshot that throw OQLParseException
Modifier and Type
Method
Description
`static IOQLQuery`
SnapshotFactory.`createQuery(String queryString)`
Factory to create an OQL Query.
`IOQLQuery`
SnapshotFactory.Implementation.`createQuery(String queryString)`
Run an OQL query